package com.ruoyi.invest.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 终止申请对象 t_project_termination
 *
 * @author hxy
 * @date 2025-08-19
 */
@Data
public class TProjectTermination extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String projectPoolId;

    /** 项目名称 */
    private String projectName;


    @Excel(name = "终止原因")
    private String reason;

    /** 状态 */
    private String delFlag;
    /**
     * 流程状态
     */
    @ApiModelProperty("流程状态")
    private Integer status;//流程状态（ //0暂存1已提交2审批中3审批通过4关闭）


    //表外
    private String procInstId;//流程实例Id
    private String taskName;
    private String taskDefKey;

    private boolean flag; // true - 同意; false - 驳回



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("reason", getReason())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
